Bug 733583 - svn segfaults in _dl_check_map_versions
Summary: svn segfaults in _dl_check_map_versions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion
Version: 16
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 06:16 UTC by Mikko Tiihonen
Modified: 2012-02-28 15:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 15:48:50 UTC


Attachments (Terms of Use)

Description Mikko Tiihonen 2011-08-26 06:16:55 UTC
Description of problem:
svnm

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Mikko Tiihonen 2011-08-26 06:27:26 UTC
Sorry about the early submit.

Here are the relevant packages referred by resolving what svn binary refers to in ldd output.

subversion-1.6.17-5.fc16.x86_64
apr-1.4.5-1.fc16.x86_64
apr-util-1.3.12-1.fc16.x86_64
cyrus-sasl-lib-2.1.23-25.fc16.x86_64
db4-4.8.30-3.fc15.x86_64
expat-2.0.1-11.fc15.x86_64
glibc-2.14.90-6.x86_64
gnutls-2.12.7-2.fc16.x86_64
keyutils-libs-1.5.2-1.fc16.x86_64
krb5-libs-1.9.1-8.fc16.x86_64
libcom_err-1.41.14-2.fc15.x86_64
libgcc-4.6.1-8.fc16.x86_64
libgcrypt-1.5.0-2.fc16.x86_64
libgpg-error-1.10-1.fc16.x86_64
libmodman-2.0.1-2.fc15.x86_64
libproxy-0.4.7-1.fc16.x86_64
libselinux-2.1.4-2.fc16.x86_64
libstdc++-4.6.1-8.fc16.x86_64
libtasn1-2.7-2.fc15.x86_64
libuuid-2.19.1-2.fc16.x86_64
neon-0.29.6-1.fc16.x86_64
nss-softokn-freebl-3.12.10-4.fc16.x86_64
pakchois-0.4-4.x86_64
sqlite-3.7.7.1-1.fc16.x86_64
subversion-libs-1.6.17-5.fc16.x86_64
zlib-1.2.5-4.fc16.x86_64



Here is the stack trace:

Thread 1 (process 15150):
#0  0x00007ffff44122f1 in ?? ()
No symbol table info available.
#1  0x00007fffffffdd10 in ?? ()
No symbol table info available.
#2  0x00007ffff7dc54fa in _dl_check_map_versions (map=0x7ffff39c3ec0, verbose=32767, trace_mode=-207940024) at dl-version.c:300
        result = -205089640
        strtab = 0xf7dc5764 <Address 0xf7dc5764 out of bounds>
        dyn = 0x7ffff7faf358
        def = 0x7ffff39b6298
        ndx_high = 0
        errstring = 0x0
        errval = 0
        __PRETTY_FUNCTION__ = "_dl_check_map_versions"
#3  0x00007ffff7db8914 in dl_main (phdr=<optimized out>, phnum=<optimized out>, user_entry=<optimized out>, auxv=<optimized out>) at rtld.c:2274
        lnp = <optimized out>
        consider_profiling = 0
        start = 137624869999448
        stop = <optimized out>
        l = 0x7ffff7faf000
        ph = <optimized out>
        mode = normal
        main_map = <optimized out>
        file_size = 0
        file = <optimized out>
        has_interp = <optimized out>
        i = <optimized out>
        prelinked = false
        rtld_is_main = <optimized out>
        start = <optimized out>
        stop = <optimized out>
        diff = <optimized out>
        tcbp = <optimized out>
        __PRETTY_FUNCTION__ = "dl_main"
        first_preload = 0x7ffff7fd8800
        r = 0x7d2b497d1358
        rtld_ehdr = <optimized out>
        rtld_phdr = <optimized out>
        cnt = <optimized out>
        preloads = <optimized out>
        npreloads = <optimized out>
        preload_file = "/etc/ld.so.preload"
        rtld_multiple_ref = true
        was_tls_init_tp_called = false
#4  0x00007ffff7dca394 in _dl_sysdep_start (start_argptr=<optimized out>, dl_main=0x7ffff7db75a0 <dl_main>) at ../elf/dl-sysdep.c:244
        phdr = <optimized out>
        phnum = <optimized out>
        user_entry = 140737354015976
        av = <optimized out>
#5  0x00007ffff7dba345 in _dl_start_final (arg=0x7fffffffdfe0) at rtld.c:334
        start_addr = <optimized out>
        rtld_total_time = <optimized out>
#6  _dl_start (arg=0x7fffffffdfe0) at rtld.c:560
        entry = 140737488347104
        __PRETTY_FUNCTION__ = "_dl_start"
#7  0x00007ffff7db66e8 in _start () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#8  0x0000000000000001 in ?? ()
No symbol table info available.
#9  0x00007fffffffe2db in ?? ()
No symbol table info available.
#10 0x0000000000000000 in ?? ()
No symbol table info available.

Comment 2 Mikko Tiihonen 2011-09-01 19:42:26 UTC
The bug was fixed by updating to the latest glibc-2.14.90-7 from koji.

Comment 3 Joe Orton 2012-02-28 15:48:50 UTC
Thanks for updating the bug.


Note You need to log in before you can comment on or make changes to this bug.